#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif
%global	commit 5f8880c058921a8e74008e340122403b454601ca
%global	shortcommit %(c=%{commit}; echo ${c:0:7})
%define	enable_autotools 1

%global		package_version 3.6.1
%global		package_name ovirt-log-collector

Summary:	Log Collector for Red Hat Enterprise Virtualization
Name:		rhevm-log-collector
Version:	3.6.1
Release:	1%{?release_suffix}%{?dist}
License:	ASL 2.0
URL:		http://www.redhat.com/virtualization/rhev/server/
Source0:	http://resources.ovirt.org/pub/ovirt-3.6/src/%{package_name}/%{package_name}-%{package_version}.tar.gz
Group:		Virtualization/Management

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:	noarch

Requires:	logrotate
Requires:	openssh-clients
Requires:	python
Requires:	python-dateutil
Requires:	python-lxml
Requires:	sos >= 3.2

Requires:	rhevm-lib
Requires:	rhevm-sdk-python >= 3.6.2.0

BuildRequires:	gettext
BuildRequires:	python2-devel

%if 0%{?enable_autotools}
BuildRequires:	autoconf
BuildRequires:	automake
%endif

%description
Log Collector tool for Red Hat Enterprise Virtualization

%prep
%setup -q -n %{package_name}-%{package_version}

%build
%if 0%{?enable_autotools}
autoreconf -ivf
%endif
%configure \
	--docdir="%{_docdir}/%{package_name}-%{version}" \
	--disable-python-syntax-check
make %{?_smp_mflags}

%check
make check

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} install DESTDIR="%{buildroot}"

%files
%doc AUTHORS
%doc COPYING
%dir %{_localstatedir}/log/ovirt-engine/%{package_name}
%dir %{_sysconfdir}/ovirt-engine/logcollector.conf.d
%config(noreplace) %{_sysconfdir}/ovirt-engine/logcollector.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{package_name}
%{python2_sitelib}/ovirt_log_collector/
%{_bindir}/engine-log-collector
%{_mandir}/man8/*



%changelog
* Wed Jan 27 2016 Sandro Bonazzola <sbonazzo@redhat.com> - 3.6.1-1
- Resolves: BZ#1288197

* Tue Sep 22 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 3.6.0-1
- Resolves: BZ#1234855

* Tue Sep  1 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 3.6.0-0.4.beta.gitf27fdb6
- Resolves: BZ#1252063

* Wed Aug 19 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 3.6.0-0.3.beta.git4e192b9
- Resolves: BZ#1254228

* Fri Jul 17 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 3.6.0-0.2.alpha.git82e9694
- Resolves: BZ#1218526

* Thu Apr 16 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 3.6.0-0.1.master.git19f1be0
- Resolves: BZ#1173191
- Resolves: BZ#1127777
- Resolves: BZ#1168660
- Resolves: BZ#1173766
- Resolves: BZ#1210261

